
Foreman - Feature #701

JSON output for Hostgroup should include Environment, Puppetclasses and Group Parameters

03/01/2011 06:08 PM - Bash Shell

Status: Closed   

Priority: Normal   

Assignee: Bash Shell   

Category: API   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

JSON output for Hostgroup should include environment, puppetclasses and group parameters

The value for Group parameters should also be shown.

This makes the Host group JSON output more useful.

Associated revisions

Revision d97196da - 03/15/2011 09:59 AM - Bash Shell

fixes #701 - Include environment, puppetclasses and group_parameters for hostgroups json output.

History

#1 - 03/15/2011 03:44 AM - Ohad Levy

- Category set to API

- Assignee set to Bash Shell

- Target version set to 0.2

#2 - 03/15/2011 10:04 AM - Bash Shell

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset d97196dad238a4d93adc0fc1784005b494384648.

#3 - 03/15/2011 10:05 AM - Ohad Levy

- Status changed from Ready For Testing to Closed

Files

0001-Include-environment-puppetclasses-and-group_paramete.patch800 Bytes 03/01/2011 Bash Shell
